All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
op::Gui Class Reference

`#include <gui.hpp>`

Inherited by op::Gui3D.

## Public Member Functions

Gui (const Point< int > &outputSize, const bool fullScreen, const std::shared_ptr< std::atomic< bool >> &isRunningSharedPtr, const std::shared_ptr< std::pair< std::atomic< bool >, std::atomic< int >>> &videoSeekSharedPtr=nullptr, const std::vector< std::shared_ptr< PoseExtractorNet >> &poseExtractorNets={}, const std::vector< std::shared_ptr< FaceExtractorNet >> &faceExtractorNets={}, const std::vector< std::shared_ptr< HandExtractorNet >> &handExtractorNets={}, const std::vector< std::shared_ptr< Renderer >> &renderers={}, const DisplayMode displayMode=DisplayMode::Display2D)

virtual | ~Gui ()
virtual void | initializationOnThread ()
void | setImage (const cv::Mat &cvMatOutput)
void | setImage (const std::vector< cv::Mat > &cvMatOutputs)
virtual void | update ()

## Protected Attributes

std::shared_ptr< std::atomic < bool > > | spIsRunning
DisplayMode | mDisplayMode
DisplayMode | mDisplayModeOriginal

## Constructor & Destructor Documentation

op::Gui::Gui | ( | const Point< int > & | outputSize,
|  | const bool | fullScreen,
|  | const std::shared_ptr< std::atomic< bool >> & | isRunningSharedPtr,
|  | const std::shared_ptr< std::pair< std::atomic< bool >, std::atomic< int >>> & | videoSeekSharedPtr = `nullptr`,
|  | const std::vector< std::shared_ptr< PoseExtractorNet >> & | poseExtractorNets = `{}`,
|  | const std::vector< std::shared_ptr< FaceExtractorNet >> & | faceExtractorNets = `{}`,
|  | const std::vector< std::shared_ptr< HandExtractorNet >> & | handExtractorNets = `{}`,
|  | const std::vector< std::shared_ptr< Renderer >> & | renderers = `{}`,
|  | const DisplayMode | displayMode = `DisplayMode::Display2D`
| ) |  |

virtual op::Gui::~Gui | ( |  | ) |

virtual

## Member Function Documentation

virtual void op::Gui::initializationOnThread | ( |  | ) |

virtual

Reimplemented in op::Gui3D.

void op::Gui::setImage | ( | const cv::Mat & | cvMatOutput | ) |

void op::Gui::setImage | ( | const std::vector< cv::Mat > & | cvMatOutputs | ) |

virtual void op::Gui::update | ( |  | ) |

virtual

Reimplemented in op::Gui3D.

## Member Data Documentation

DisplayMode op::Gui::mDisplayMode

protected

DisplayMode op::Gui::mDisplayModeOriginal

protected

std::shared_ptr<std::atomic<bool> > op::Gui::spIsRunning

protected

The documentation for this class was generated from the following file:

- /home/travis/build/CMU-Perceptual-Computing-Lab/openpose/include/openpose/gui/gui.hpp